<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa =$_SESSION['ss_empresa'];          //    ***********   01-11-15    ***************
$id_user = $_SESSION['ss_user'];
$id_bodega = $_POST["id_bodega"];
$id_vendedor = $_POST["id_vendedor"];
$CodIvaNo=0;
$mercaderia=0;
?>
<?
include("../conex.php");
include("../css/mascara_fecha.js");
?>
<title>Guarda Factura Compra_DTE</title>
<?


if ($txtivar=='') $txtivar=0;
if ($txtactividad=='') $txtactividad=null;
if ($txtemail=='') $txtemail=null;
if ($txtfono=='') $txtfono=null;
if ($txtfax=='') $txtfax=null;
if ($txtcorrelativo=='') $txtcorrelativo=null;

//  ojo comuna, debo encontralas y la region
$lstreg=13;     //region 13
$lstcom=346;   // santiago

$cons_comuna = mysql_query("SELECT * FROM comunas WHERE empresa=$id_empresa AND comuna='$txtcomuna'", $enlace);
$res_be = mysql_query($cons_comuna,$enlace);
$cont=0;
while ( mysql_fetch_object ($res_be) ) 
	{
	$lstreg=mysql_result($res_be, $cont, "region");
	$lstcom=mysql_result($res_be, $cont, "cod_comuna");
	}



//************************* verifica ingreso de factura  *********************************************/	

$cons_dcto = mysql_query("SELECT * FROM entrada WHERE empresa=$id_empresa AND tipo_dcto = $lstdcto AND num_dcto = $txtndcto AND  rut_proveedor='$txtrut'", $enlace);

$cont=0;
while ( mysql_fetch_object ($cons_dcto) ) 
	{
	$cont = $cont + 1;
	}
if ($cont==0)   	//******** verifica existencia ingreso de dcto (factura)  ***********/		

{

//*********************** Graba correlativo *********************************************/	

$up_dcto = "UPDATE tipo_dcto_num_bodega SET correlativo = '$txtcorrelativo' WHERE id_dcto=13 AND id_bodega='$id_bodega' AND id_empresa = $id_empresa";
	$res_up_dcto = mysql_query($up_dcto,$enlace);	
	

//************************ verifica Proveedor *********************************************/		
	$sql_be = "SELECT * FROM nombres WHERE rut='$txtrut'";
	$res_be = mysql_query($sql_be,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_be))
		{
		$emp_codigo=mysql_result($res_be, $row, "codigo");
		$row=$row+1;
		}
	
	if ($row==0)
		{
		$sql_ins = "INSERT INTO nombres (rut, razon_social, direccion, email, region, comuna, ciudad, fono1, fax, proveedor, rubro_giro)
		VALUES ('$txtrut', '$txtrsoc', '$txtdireccion', '$txtemail', $lstreg, $lstcom, '$txtciudad', '$txtfono', '$txtfax', 'True', '$txtactividad')";

		mysql_query($sql_ins,$enlace);
		}
	else
		{
		$sql_upd = "UPDATE nombres SET rut='$txtrut', razon_social='$txtrsoc', direccion='$txtdireccion', email='$txtemail',
		ciudad='$txtciudad', comuna=$lstcom, region=$lstreg, rubro_giro='$txtactividad', fono1='$txtfono', fax='$txtfax', proveedor = 'True' WHERE codigo = $emp_codigo";
		
		mysql_query($sql_upd,$enlace);
		}

/************************************************** insertar entrada ***********************************************/	
	$dia = substr ($fecha, 0, 2);
	$mes = substr ($fecha, 3, 2);
	$aņo = substr ($fecha, 6, 4); 
	$fecha_em = "$aņo-$mes-$dia";
		
	$dia = substr ($fecha2, 0, 2);
	$mes = substr ($fecha2, 3, 2);
	$aņo = substr ($fecha2, 6, 4); 
	$fecha_re = "$aņo-$mes-$dia";	
	$fecha_li = "$aņo-$mes-$dia";

	$dia = substr ($fecha3, 0, 2);
	$mes = substr ($fecha3, 3, 2);
	$aņo = substr ($fecha3, 6, 4); 
	$fecha_ve = "$aņo-$mes-$dia";	
   
   $factor=1;
if($lstdcto==6 || $lstdcto==61)       //  NOTAS DE CREDITO SE RESTAN
				{ $factor=-1; }
			
				
	
				
	if ($factorivausocomun!=0) 
	{$montoivausocomun=$txtiva; $txtiva=0;} else {$montoivausocomun=0;}		
	if ($CodIvaNo!=0) {$iva_no_recuperable=$txtiva; $txtiva=0;} else {$iva_no_recuperable=0;}	
	if ($txtivar!=0) {$txttotal=$txttotal-$txtivar;}
				
	$wsql = "INSERT INTO entrada (empresa, rut_proveedor, num_dcto, tipo_dcto, fecha_emision, fecha_recepcion, fecha_pago, fecha_libro, tipo_pago, exento, neto, iva, impuestos, total, iva_retenido, productos, num_dcto_control, pagada, usuario, bodega, vendedor, factor, observacion, factor_iva_uso_comun, iva_uso_comun, correlativo, cod_iva_no_recuperable, iva_no_recuperable, ila, iaba, iaba18, nombre_xml, recepcion_archivo) 
	VALUES ($id_empresa, '$txtrut', $txtndcto, $lstdcto, '$fecha_em', '$fecha_re', '$fecha_ve', '$fecha_li', $lstpago, $txtexento,  $txtneto, $txtiva, $txtharina, $txttotal, $txtivar, $mercaderia , 0, 0, $id_user, $id_bodega, $id_vendedor, $factor, '$txtobs', $factorivausocomun, $montoivausocomun, '$txtcorrelativo', $CodIvaNo, $iva_no_recuperable, $txtila, $txtiaba, $txtiaba18, '$nombre_xml', '$recepcion_archivo')";

//echo($wsql);
	
	mysql_query($wsql,$enlace);
	
	
	//++++++++++++++++++++++++++++ Sacar el ultimo
	$sql_ultimo = "SELECT id FROM entrada WHERE id=last_insert_id()";
	$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
	$eultimo_id = mysql_result($res_ultimo, 0, "id");
	$cant = "1";
	//+++++++++++++++++++++++++pago proveedores
		$txttotal=$txttotal*$factor;
		if ($lstpago==3&& ($lstdcto==2 || $lstdcto==5 || $lstdcto==33))
		{
		
		if ($lstdcto==2 || $lstdcto==33) $des='Factura '.$txtndcto;
		if ($lstdcto==5) $des='Guia '.$txtndcto;
		if ($lstdcto==6 || $lstdcto==61){ $des='NC '.$txtndcto; }
		if ($lstdcto==7 || $lstdcto==56) $des='ND '.$txtndcto;
	
		$csql="INSERT INTO pago_proveedores (empresa, rut, num_salida, fecha, descripcion, valor, tipo) 
		VALUES ($id_empresa, '$txtrut', $eultimo_id, '$fecha_ve', '$des', $txttotal, 'C')";
		$con = mysql_query($csql,$enlace);
		}
	
			
	/***************  Total de productos ************ NO INGRESA PRODUCTOS   **************************************/

	$cant = "1";
	$ctot_prod=0;
	while ($cant<$cnt)
		{
		if ($total[$cant]>0)
			{
			$ctot_prod+=1;
			}
		$cant=$cant+1;
		}	
	//++++++++++++++++++++++++++++++++++++++++++++++ descuento por producto (%)
	$por_des=($txtdes*100)/$txtst;
	
	//++++++++++++++++++++ guarda en movimiento	
	$cant = "0";
	
	while ($cant<$cnt)
	{
	
			
		$psql = "INSERT INTO movimiento (empresa, entrada_salida_traspaso, fecha, cod_producto, cantidad, precio_unitario,numero_dcto, tipo_dcto, descuentos, bodega, id_soe, rut, detalle, detalle_1, sub_total) 
			VALUES ($id_empresa, 'E', '$fecha_re', '$codigo[$cant]', $cantidad[$cant], $precio[$cant], $txtndcto, $lstdcto, $descuento[$cant], $id_bodega, $eultimo_id, '$txtrut', '$detalle[$cant]', '$detalle_1[$cant]', $sub_total[$cant] )";
			//echo($psql);
		$sql_productos = mysql_query($psql,$enlace);
		
		/*$sql_sal = "UPDATE productos SET saldo=(saldo+$cantidad[$cant]), u_entrada=(u_entrada+$cantidad[$cant])WHERE codigo = $codigo[$cant]";
		//mysql_query($sql_sal,$enlace);*/
		
	$cant=$cant+1;
	}
  
		
/*************** MERCADERIA =0  ES GASTO ***************/
        if ($lstcargo0<>null)
		{
				$cargos_sql="INSERT INTO cuentas_de_cargo (id_plan_cuenta, id_entrada, valor, fecha_libro, id_empresa) 
		VALUES ($lstcargo0, $eultimo_id, $txtcargo0, '$fecha_re', $id_empresa)";
		mysql_query($cargos_sql,$enlace);
		}

		

	?>
<script>
	alert ("Documento ingresado con exito");
   // window.top.open('','_parent','');window.top.close();
</script>
<?
	}
else
	{
	?>
<script>
	
	alert ("El Documento ingresado ya existe");
	window.top.open('','_parent','');window.top.close();
</script>
	<?
	}
?>